import 'package:flutter/material.dart';
import 'package:fooder/screens/based.dart';
import 'package:fooder/components/button.dart';

class SettingsScreen extends BasedScreen {
  const SettingsScreen({super.key, required super.ctx});

  @override
  State<SettingsScreen> createState() => _SettingsScreen();
}

class _SettingsScreen extends BasedState<SettingsScreen> {
  Future<void> resetStorage() async {
    try {
      ctx.storage.reset();
      showText("Storage reset");
    } catch (e) {
      showError(e.toString());
    }
  }

  @override
  Widget build(BuildContext context) {
    var theme = Theme.of(context);
    var colorScheme = theme.colorScheme;

    return Scaffold(
      extendBodyBehindAppBar: false,
      extendBody: true,
      appBar: appBar(),
      bottomNavigationBar: navBar(),
      body: Center(
        child: Container(
          constraints: const BoxConstraints(maxWidth: 600),
          padding: const EdgeInsets.all(10),
          child: AutofillGroup(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.start,
              children: <Widget>[
                Icon(
                  Icons.verified_user_sharp,
                  size: 100,
                  color: colorScheme.primary.withOpacity(0.85),
                ),
                FButton(
                  labelText: 'Reset local storage',
                  onPressed: resetStorage,
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
